%define	major 2
%define libname	%mklibname ewf %{major}
%define develname %mklibname ewf -d

Summary:	Utils for use with the Expert Witness Compression Format (EWF)
Name:		libewf
Version:	20130416
Release:	%mkrel 3
Group:		System/Libraries
License:	BSD
URL:		http://code.google.com/p/libewf
Source0:	http://libewf.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(zlib)

%description
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01).
Libewf allows you to read and write media information within the EWF files.

This package contains utils for use with the Expert Witness Compression Format
(EWF).

%package -n	%{libname}
Summary:	The Expert Witness Compression Format (EWF) shared library
Group:		System/Libraries

%description -n	%{libname}
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01).
Libewf allows you to read and write media information within the EWF files.

%package -n	%{develname}
Summary:	Static library and header files for the libewf library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}ewf2-devel < 20130416-2

%description -n	%{develname}
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01).
Libewf allows you to read and write media information within the EWF files.

This package contains the static libewf library and its header files.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std

# Do not package *.la files
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/ewfacquire
%{_bindir}/ewfacquirestream
%{_bindir}/ewfdebug
%{_bindir}/ewfexport
%{_bindir}/ewfmount
%{_bindir}/ewfinfo
%{_bindir}/ewfrecover
%{_bindir}/ewfverify
%{_mandir}/man1/*

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 20130416-3.mga4
+ Revision: 532578
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 20130416-2.mga4
+ Revision: 468790
- drop major from devel pkg name
- disable static build

* Sun Jun 02 2013 sander85 <sander85> 20130416-1.mga4
+ Revision: 434626
- New version: 20130416

* Sat Jan 12 2013 umeabot <umeabot> 20130105-2.mga3
+ Revision: 357070
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 sander85 <sander85> 20130105-1.mga3
+ Revision: 339915
- New version: 20130105

* Tue Aug 28 2012 sander85 <sander85> 20120813-1.mga3
+ Revision: 284779
- New version: 20120813

* Sun Jul 22 2012 sander85 <sander85> 20120603-1.mga3
+ Revision: 273443
- update URL
- new version: 20120603

* Sun Mar 04 2012 sander85 <sander85> 20120225-1.mga2
+ Revision: 218091
- new version: 20120225

* Fri Jun 17 2011 sander85 <sander85> 20100226-1.mga2
+ Revision: 108581
- new version: 20100226; drop *.la files
- clean spec
- imported package libewf


* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 20100126-2mdv2010.1
+ Revision: 537299
- rebuild

* Sun Feb 14 2010 Emmanuel Andry <eandry@mandriva.org> 20100126-1mdv2010.1
+ Revision: 505841
- New version 20100126

* Sat Sep 12 2009 Thierry Vignaud <tv@mandriva.org> 20080501-2mdv2010.0
+ Revision: 438553
- rebuild

* Sun Jan 04 2009 Emmanuel Andry <eandry@mandriva.org> 20080501-1mdv2009.1
+ Revision: 324494
- New version 20080501

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 20070512-3mdv2009.0
+ Revision: 248644
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 20070512-1mdv2008.1
+ Revision: 140921
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 20070512-1mdv2008.0
+ Revision: 81766
- Import libewf



* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 20070512-1mdv2008.0
- initial Mandriva package
